## python3-defaults 3.2.2-0ubuntu2

=== debian/changelog ===
python3-defaults (3.2.2-0ubuntu2) oneiric; urgency=low

  * Bump version.
  * Manual merge of Debian 3.2.2~rc1-2.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 05 Oct 2011 16:15:54 -0400

python3-defaults (3.2.2-0ubuntu1) oneiric; urgency=low

  * Bump version.
  * Provide python3-profiler.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2011 11:52:25 +0200

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 6.0.7~), python
Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
Standards-Version: 3.9.1
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files

Package: python3
Architecture: all
Depends: python3.2 (>= 3.2.2), python3-minimal (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: python3-minimal
Architecture: all
Depends: python3.2-minimal (>= 3.2.2), dpkg (>= 1.13.20), ${misc:Depends}
Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
Replaces: python3.1 (<< 3.1-2)
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.2-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.2), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: python3-dev
Architecture: all
Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.2), ${misc:Depends}
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: idle3
Architecture: all
Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}
Enhances: python3
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.2-doc (>= 3.2.2), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.2). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.2).

Package: python3-dbg
Architecture: all
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.2), ${misc:Depends}
Description: debug build of the Python Interpreter (version 3.2)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python3.2/lib-dynload/debug first.

Package: python3-all
Architecture: all
Depends: python3 (= ${binary:Version}), python3.2, ${misc:Depends}
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.2, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: all
Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), python3.2-dev, ${misc:Depends}
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.2-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python 3 development packages.

Package: python3-all-dbg
Architecture: all
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), python3.2-dbg, ${misc:Depends}
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.2-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python 3 debug packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell lsb_release -is)

export VER=3.2
export NVER=3.3
export PVER=python3.2

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
PREVVER := 3.2.2

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	touch stamp-doc-policy

stamp-doc: #stamp-doc-policy
	make -C pydist README.PyDist.html
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	#make check_versions
	DESTDIR=debian/python3 PREFIX=/usr make install-dev
	DESTDIR=debian/python3 PREFIX=/usr make install-runtime
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
	cp -p debian/debian_defaults \
		debian/python3-minimal/usr/share/python3/

	install -m 755 debian/py3versions.py \
		debian/python3-minimal/usr/share/python3/
	install -m 644 debian/py3versions.1 \
		debian/python3-minimal/usr/share/man/man1/
	dh_link -ppython3 /usr/share/python3/py3versions.py /usr/bin/py3versions

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/python3
	install -m 644 debian/python.mk \
		debian/python3/usr/share/python3/

	mkdir -p debian/python3/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python3/usr/share/man/man1/pydoc3.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python3/usr/share/man/man1/pygettext3.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python3/usr/share/man/man1/pdb3.1.gz

	mkdir -p debian/python3/usr/share/doc/python3
ifeq (0,1)
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python3/
endif

	mkdir -p debian/python3/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python3/usr/share/pixmaps/python3.xpm

ifeq (0,1)
	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done
endif

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

ifeq (0,1)
	mkdir -p debian/python3/usr/share/apps/konsole
	cp -p debian/python.desktop debian/python3/usr/share/apps/konsole/
endif

	: # provide the python3-config default
	mkdir -p debian/python3-dev/usr/bin
	ln -sf python$(VER)-config debian/python3-dev/usr/bin/python3-config

	: # provide pkgconfig defaults
	mkdir -p debian/python3-dev/usr/lib/pkgconfig
	ln -sf python-$(VER).pc debian/python3-dev/usr/lib/pkgconfig/python3.pc
	mkdir -p debian/python3-dbg/usr/lib/pkgconfig
	ln -sf python-$(VER)-dbg.pc debian/python3-dbg/usr/lib/pkgconfig/python3-dbg.pc

	: # provide the python-dbg and python-dbg.1 defaults
	mkdir -p debian/python3-dbg/usr/bin
	ln -sf python$(VER)-dbg debian/python3-dbg/usr/bin/python3-dbg
	ln -sf python$(VER)-dbg-config debian/python3-dbg/usr/bin/python3-dbg-config
	mkdir -p debian/python3-dbg/usr/share/man/man1
	ln -sf python$(VER)-dbg.1.gz \
		debian/python3-dbg/usr/share/man/man1/python3-dbg.1.gz
	mkdir -p debian/python3-dbg/usr/share/doc/python3
	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
		debian/python3-dbg/usr/share/doc/python3/SpecialBuilds.txt.gz
	ln -sf ../python$(VER)/README.debug \
		debian/python3-dbg/usr/share/doc/python3/README.debug

	mkdir -p debian/python3/usr/lib/valgrind
	cp -p debian/valgrind-python.supp \
		debian/python3/usr/lib/valgrind/python3.supp

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle3/usr/bin
	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3

	mkdir -p debian/idle3/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1

## python3-defaults 3.2.2-1

=== tests/Makefile ===
#!/usr/bin/make -f

# enable or disable tests here:
TESTS := test1 test2 test3

all: scripts $(TESTS)

test%:
	make -C t$* run
	make -C t$* check

clean-test%:
	make -C t$* clean

scripts:
	sh ./test_scripts.sh

clean: $(TESTS:%=clean-%)
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	@find . -prune -name '*.egg-info' -exec rm -rf '{}' ';' || true

.PHONY: clean

=== tests/t3/Makefile ===
#!/usr/bin/make -f

all: run check

run: clean
	dpkg-buildpackage -b -us -uc

check:
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo.py
	test ! -d debian/python3-foo/usr/lib/python3.*/site-packages

clean:
	./debian/rules clean

=== debian/changelog ===
python3-defaults (3.2.2-1) unstable; urgency=low

  [ Scott Kitterman ]
  * Update upstream version to match python3.2
  * Add versioned idle3 package to idle3 depends (Closes: #637973)
  * Fix typo in debian/py3versions.1 (Closes: #651342)
    - Patch thanks to Daniel Stender
  * Specify Python 3 and not just Python in python3-doc/dbg descriptions
  * Add build-arch and build-indep targets in debian/rules
  * Add native-package-with-dash-version to source lintian overrides
  * Add idle3.lintian-overrides for menu-icon-missing since it is provided
    in the python3 package
  * Bump standards version to 3.9.2 without further change

  [ Matthias Klose ]
  * Add symlinks for python3-config man page.
  * Add symlinks for binaries and man pages including the abi flags.

  [ Piotr Ożarowski ]
  * py3compile:
    - fix -O option
    - speed up a bit (remove unnecessary interpreter calls)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 17:26:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 6.0.7~), python
 Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
 
 Package: python3
 Architecture: all
-Depends: python3.2 (>= 3.2.2), python3-minimal (= ${binary:Version}), ${misc:Depends}
+Depends: python3.2 (>= 3.2.2-3), python3-minimal (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -27,7 +26,7 @@
 
 Package: python3-minimal
 Architecture: all
-Depends: python3.2-minimal (>= 3.2.2), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.2-minimal (>= 3.2.2-3), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -38,7 +37,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.2), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.2-3), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -48,7 +47,7 @@
 
 Package: python3-dev
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.2), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.2-3), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -60,7 +59,7 @@
 
 Package: idle3
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.2
 Enhances: python3
 Description: IDE for Python using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
@@ -72,11 +71,11 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.2-doc (>= 3.2.2), ${misc:Depends}
+Depends: python3.2-doc (>= 3.2.2-3), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
-Description: documentation for the high-level object-oriented language Python
+Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
- object-oriented language Python (v3.2). All documents are provided
+ object-oriented language Python 3 (v3.2). All documents are provided
  in HTML format, some in info format. The package consists of nine documents:
  .
    * Tutorial
@@ -96,10 +95,10 @@
 Architecture: all
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.2), ${misc:Depends}
-Description: debug build of the Python Interpreter (version 3.2)
- Python interpreter configured with --pydebug. Dynamically loaded modules are
- searched in /usr/lib/python3.2/lib-dynload/debug first.
+Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.2-3), ${misc:Depends}
+Description: debug build of the Python 3 Interpreter (version 3.2)
+ Python 3 interpreter configured with --pydebug. Dynamically loaded modules
+ are searched in /usr/lib/python3.2/lib-dynload/debug first.
 
 Package: python3-all
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.2
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.2.2
+PREVVER := 3.2.2-3
 
 PWD		:= $(shell pwd)
 
@@ -35,6 +35,9 @@
 ifneq ($(with_doc),yes)
   NOPKGS	= -Npython-doc
 endif
+
+build-arch: build
+build-indep: build
 
 build: stamp-build
 stamp-build:
@@ -166,9 +169,12 @@
 	: # provide the python and python.1 defaults
 	mkdir -p debian/python3-minimal/usr/bin
 	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
+	ln -sf python$(VER)mu debian/python3-minimal/usr/bin/python3mu
 	mkdir -p debian/python3-minimal/usr/share/man/man1
 	ln -sf python$(VER).1.gz \
 		debian/python3-minimal/usr/share/man/man1/python3.1.gz
+	ln -sf python$(VER)mu.1.gz \
+		debian/python3-minimal/usr/share/man/man1/python3mu.1.gz
 
 	: # 
 	mkdir -p debian/python3-minimal/usr/share/python3
@@ -235,7 +241,13 @@
 
 	: # provide the python3-config default
 	mkdir -p debian/python3-dev/usr/bin
+	ln -sf python$(VER)mu-config debian/python3-dev/usr/bin/python3mu-config
+	mkdir -p debian/python3-dev/usr/share/man/man1
+	ln -sf python$(VER)mu-config.1.gz \
+		debian/python3-dev/usr/share/man/man1/python3mu-config.1.gz
 	ln -sf python$(VER)-config debian/python3-dev/usr/bin/python3-config
+	ln -sf python$(VER)-config.1.gz \
+		debian/python3-dev/usr/share/man/man1/python3-config.1.gz
 
 	: # provide pkgconfig defaults
 	mkdir -p debian/python3-dev/usr/lib/pkgconfig
@@ -245,25 +257,9 @@
 
 	: # provide the python-dbg and python-dbg.1 defaults
 	mkdir -p debian/python3-dbg/usr/bin
+	ln -sf python$(VER)dmu debian/python3-dbg/usr/bin/python3dmu
+	ln -sf python$(VER)dmu-config debian/python3-dbg/usr/bin/python3dmu-config
 	ln -sf python$(VER)-dbg debian/python3-dbg/usr/bin/python3-dbg
 	ln -sf python$(VER)-dbg-config debian/python3-dbg/usr/bin/python3-dbg-config
 	mkdir -p debian/python3-dbg/usr/share/man/man1
-	ln -sf python$(VER)-dbg.1.gz \
-		debian/python3-dbg/usr/share/man/man1/python3-dbg.1.gz
-	mkdir -p debian/python3-dbg/usr/share/doc/python3
-	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
-		debian/python3-dbg/usr/share/doc/python3/SpecialBuilds.txt.gz
-	ln -sf ../python$(VER)/README.debug \
-		debian/python3-dbg/usr/share/doc/python3/README.debug
-
-	mkdir -p debian/python3/usr/lib/valgrind
-	cp -p debian/valgrind-python.supp \
-		debian/python3/usr/lib/valgrind/python3.supp
-
-	: # provide the idle and idle.1 defaults
-	mkdir -p debian/idle3/usr/bin
-	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3
-
-	mkdir -p debian/idle3/usr/share/man/man1
-	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1
-
+	ln -sf python$(VER)dmu.1.gz \

## python3-defaults 3.2.3~rc1-2

=== debian/changelog ===
python3-defaults (3.2.3~rc1-2) unstable; urgency=low

  * Fix max version expansion for -V/X-P-V to be the max version and not +1
  * Move idle3.xpm symlink from python3 to idle3 and add Replaces
  * Add 'dependency package' to long description of python3-all,
    python3-all-dev, and python3-all-dbg

 -- Scott Kitterman <scott@kitterman.com>  Fri, 16 Mar 2012 17:19:58 -0400

python3-defaults (3.2.3~rc1-1) unstable; urgency=low

  * debpython/depends.py:
    - Add functional support for -V, specify list of supported Python versions
      for dh_python3
  * Adjust upstream version number to match current python3.2 version
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Mar 2012 00:43:38 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 6.0.7~), python
 Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
 
 Package: python3
 Architecture: all
-Depends: python3.2 (>= 3.2.2-3), python3-minimal (= ${binary:Version}), ${misc:Depends}
+Depends: python3.2 (>= 3.2.3~rc1), python3-minimal (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -26,7 +26,7 @@
 
 Package: python3-minimal
 Architecture: all
-Depends: python3.2-minimal (>= 3.2.2-3), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.2-minimal (>= 3.2.3~rc1), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -37,7 +37,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.2-3), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.3~rc1), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -47,7 +47,7 @@
 
 Package: python3-dev
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.2-3), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.3~rc1), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -60,6 +60,7 @@
 Package: idle3
 Architecture: all
 Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.2
+Replaces: python3 (<< 3.2.3~rc1-2~)
 Enhances: python3
 Description: IDE for Python using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
@@ -71,7 +72,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.2-doc (>= 3.2.2-3), ${misc:Depends}
+Depends: python3.2-doc (>= 3.2.3~rc1), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -95,7 +96,7 @@
 Architecture: all
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.2-3), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.3~rc1), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.2)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.2/lib-dynload/debug first.
@@ -108,8 +109,8 @@
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
  may be added.
  .
- This package is used as a build dependency for other packages to
- avoid hardcoded dependencies on specific Python 3 runtimes.
+ This package is a dependency package used as a build dependency for other
+ packages to avoid hardcoded dependencies on specific Python 3 runtimes.
 
 Package: python3-all-dev
 Architecture: all
@@ -119,8 +120,9 @@
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
- This package is used as a build dependency for other packages to
- avoid hardcoded dependencies on specific Python 3 development packages.
+ This package is a dependency package used as a build dependency for other
+ packages to avoid hardcoded dependencies on specific Python 3 development
+ packages.
 
 Package: python3-all-dbg
 Architecture: all
@@ -132,5 +134,5 @@
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
- This package is used as a build dependency for other packages to
- avoid hardcoded dependencies on specific Python 3 debug packages.
+ This package is a dependency package used as a build dependency for other
+ packages to avoid hardcoded dependencies on specific Python 3 debug packages.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.2
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.2.2-3
+PREVVER := 3.2.3~rc1
 
 PWD		:= $(shell pwd)

=== tests/t3/debian/rules ===
#!/usr/bin/make -f
#PYVERS = $(shell ../../debian/py3versions -vr)
PYVERS = $(shell PYTHONPATH=../../ python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))')

%:
	dh $@

override_dh_pysupport:
	DH_VERBOSE=1 ../../dh_python3

override_dh_auto_build:
override_dh_auto_test:

override_dh_auto_install:
	set -e; for ver in $(PYVERS); do\
	  mkdir -p debian/python3-foo/usr/lib/python$$ver/site-packages/;\
	  echo "print('foo')" > debian/python3-foo/usr/lib/python$$ver/site-packages/foo.py;\
	done

override_dh_auto_clean:

## python3-defaults 3.2.3-0ubuntu1

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python3 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 644 python3.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

dist_fallback:
	make -C pydist $@

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
nose:
	nosetests-3 --with-doctest --with-coverage

tests: nose
	make -C tests

test%:
	make -C tests $@

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python3 -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))'`;\
	SUPPORTED=`python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== debian/changelog ===
python3-defaults (3.2.3-0ubuntu1) precise; urgency=low

  * Update version number to match python3.2 for precise release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 15 Apr 2012 00:42:45 -0400

python3-defaults (3.2.3~rc1-2ubuntu1) precise; urgency=low

  * Add idle3 Breaks as well as Replaces python3 (thanks to Jakub Wilk for
    pointing this out)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Mar 2012 17:08:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 6.0.7~), python
 Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
@@ -12,7 +13,7 @@
 
 Package: python3
 Architecture: all
-Depends: python3.2 (>= 3.2.3~rc1), python3-minimal (= ${binary:Version}), ${misc:Depends}
+Depends: python3.2 (>= 3.2.3), python3-minimal (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -26,7 +27,7 @@
 
 Package: python3-minimal
 Architecture: all
-Depends: python3.2-minimal (>= 3.2.3~rc1), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.2-minimal (>= 3.2.3), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
 Replaces: python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
@@ -37,7 +38,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.3~rc1), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.3), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -47,7 +48,7 @@
 
 Package: python3-dev
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.3~rc1), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.3), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -61,6 +62,7 @@
 Architecture: all
 Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.2
 Replaces: python3 (<< 3.2.3~rc1-2~)
+Breaks: python3 (<< 3.2.3~rc1-2~)
 Enhances: python3
 Description: IDE for Python using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
@@ -72,7 +74,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.2-doc (>= 3.2.3~rc1), ${misc:Depends}
+Depends: python3.2-doc (>= 3.2.3), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -96,7 +98,7 @@
 Architecture: all
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.3~rc1), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.3), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.2)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.2/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.2
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.2.3~rc1
+PREVVER := 3.2.3
 
 PWD		:= $(shell pwd)

=== tests/t1/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all
Standards-Version: 3.9.0
X-Python3-Version: >= 3.1

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Enhances: ${python3:Enhances}
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: foo to rule them all
 exemple package #1

## python3-defaults 3.2.3-0ubuntu1.2

=== debian/changelog ===
python3-defaults (3.2.3-0ubuntu1.2) precise-proposed; urgency=low

  * Move py3versions back to python3-minimal. LP: #1167183.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Apr 2013 15:50:15 +0200

python3-defaults (3.2.3-0ubuntu1.1) precise-proposed; urgency=low

  * Make python3{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * As a prerequisite, build dependency packages as architecture
    dependent packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Feb 2013 10:36:03 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
 
 Package: python3
-Architecture: all
-Depends: python3.2 (>= 3.2.3), python3-minimal (= ${binary:Version}), ${misc:Depends}
+Architecture: any
+Multi-Arch: allowed
+Depends: python3.2 (>= 3.2.3-0ubuntu3.3), python3-minimal (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -26,10 +27,11 @@
  Python 3 version (currently v3.2).
 
 Package: python3-minimal
-Architecture: all
-Depends: python3.2-minimal (>= 3.2.3), dpkg (>= 1.13.20), ${misc:Depends}
+Architecture: any
+Multi-Arch: allowed
+Depends: python3.2-minimal (>= 3.2.3-0ubuntu3.3), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
-Replaces: python3.1 (<< 3.1-2)
+Replaces: python3 (<< 3.2.3-0ubuntu1.2), python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
@@ -38,7 +40,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.3), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.2-examples (>= 3.2.3-0ubuntu3.3), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -47,8 +49,8 @@
  Python 3 version (currently v3.2).
 
 Package: python3-dev
-Architecture: all
-Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.3), ${misc:Depends}
+Architecture: any
+Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.3-0ubuntu3.3), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -60,7 +62,7 @@
 
 Package: idle3
 Architecture: all
-Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.2
+Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.2
 Replaces: python3 (<< 3.2.3~rc1-2~)
 Breaks: python3 (<< 3.2.3~rc1-2~)
 Enhances: python3
@@ -74,7 +76,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.2-doc (>= 3.2.3), ${misc:Depends}
+Depends: python3.2-doc (>= 3.2.3-0ubuntu3.3), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -95,16 +97,17 @@
  Python 3 version (currently v3.2).
 
 Package: python3-dbg
-Architecture: all
+Architecture: any
+Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.3), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.3-0ubuntu3.3), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.2)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.2/lib-dynload/debug first.
 
 Package: python3-all
-Architecture: all
+Architecture: any
 Depends: python3 (= ${binary:Version}), python3.2, ${misc:Depends}
 Description: package depending on all supported Python 3 runtime versions
  The package currently depends on python3.2, in the future,
@@ -115,7 +118,7 @@
  packages to avoid hardcoded dependencies on specific Python 3 runtimes.
 
 Package: python3-all-dev
-Architecture: all
+Architecture: any
 Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), python3.2-dev, ${misc:Depends}
 Description: package depending on all supported Python 3 development packages
  The package currently depends on python3.2-dev, in the
@@ -127,7 +130,7 @@
  packages.
 
 Package: python3-all-dbg
-Architecture: all
+Architecture: any
 Section: debug
 Priority: extra
 Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), python3.2-dbg, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.2
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.2.3
+PREVVER := 3.2.3-0ubuntu3.3
 
 PWD		:= $(shell pwd)
 
@@ -166,6 +166,53 @@
 	dh_testroot -i
 	dh_installman -i
 
+ifeq ($(with_doc),yes)
+	mkdir -p debian/python3-doc/usr/share/doc/python3
+	ln -sf ../python$(VER)-doc/html \
+		debian/python3-doc/usr/share/doc/python3/html
+	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
+	ln -sf ../python$(VER)-doc/html \
+		debian/python3-doc/usr/share/doc/python3-doc/html
+endif
+
+	: # provide the idle and idle.1 defaults
+	mkdir -p debian/idle3/usr/bin
+	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3
+
+	mkdir -p debian/idle3/usr/share/man/man1
+	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1
+
+	mkdir -p debian/idle3/usr/share/pixmaps
+	ln -sf python3.xpm debian/idle3/usr/share/pixmaps/idle3.xpm
+
+	mkdir -p debian/idle3/usr/share/applications
+	cp -p debian/idle3.desktop debian/idle3/usr/share/applications/
+
+#	dh_installdebconf -i $(NOPKGS)
+	dh_lintian -i
+	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
+	dh_installmenu -i $(NOPKGS)
+	dh_installchangelogs -i $(NOPKGS)
+
+	for p in examples idle3; do \
+	  [ $$p = idle3 ] || p=python3-$$p; \
+	  rm -rf debian/$$p/usr/share/doc/$$p; \
+	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
+	done
+
+	dh_compress -i $(NOPKGS)
+	dh_fixperms -i $(NOPKGS)
+	dh_installdeb -i $(NOPKGS)
+	dh_gencontrol -i $(NOPKGS)
+	dh_md5sums -i $(NOPKGS)
+	dh_builddeb -i $(NOPKGS)
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir -a
+	dh_testroot -a
+	dh_installman -a
+
 	: # provide the python and python.1 defaults
 	mkdir -p debian/python3-minimal/usr/bin
 	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
@@ -185,7 +232,7 @@
 		debian/python3-minimal/usr/share/python3/
 	install -m 644 debian/py3versions.1 \
 		debian/python3-minimal/usr/share/man/man1/
-	dh_link -ppython3 /usr/share/python3/py3versions.py /usr/bin/py3versions
+	dh_link -ppython3-minimal /usr/share/python3/py3versions.py /usr/bin/py3versions
 
 #	mkdir debian/python-minimal/usr/share/python-central
 #	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/
@@ -225,15 +272,6 @@
 	done
 endif
 
-ifeq ($(with_doc),yes)
-	mkdir -p debian/python3-doc/usr/share/doc/python3
-	ln -sf ../python$(VER)-doc/html \
-		debian/python3-doc/usr/share/doc/python3/html
-	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
-	ln -sf ../python$(VER)-doc/html \
-		debian/python3-doc/usr/share/doc/python3-doc/html
-endif
-
 ifeq (0,1)
 	mkdir -p debian/python3/usr/share/apps/konsole
 	cp -p debian/python.desktop debian/python3/usr/share/apps/konsole/
@@ -241,25 +279,3 @@
 
 	: # provide the python3-config default
 	mkdir -p debian/python3-dev/usr/bin
-	ln -sf python$(VER)mu-config debian/python3-dev/usr/bin/python3mu-config
-	mkdir -p debian/python3-dev/usr/share/man/man1
-	ln -sf python$(VER)mu-config.1.gz \
-		debian/python3-dev/usr/share/man/man1/python3mu-config.1.gz
-	ln -sf python$(VER)-config debian/python3-dev/usr/bin/python3-config
-	ln -sf python$(VER)-config.1.gz \
-		debian/python3-dev/usr/share/man/man1/python3-config.1.gz
-
-	: # provide pkgconfig defaults
-	mkdir -p debian/python3-dev/usr/lib/pkgconfig
-	ln -sf python-$(VER).pc debian/python3-dev/usr/lib/pkgconfig/python3.pc
-	mkdir -p debian/python3-dbg/usr/lib/pkgconfig
-	ln -sf python-$(VER)-dbg.pc debian/python3-dbg/usr/lib/pkgconfig/python3-dbg.pc
-
-	: # provide the python-dbg and python-dbg.1 defaults
-	mkdir -p debian/python3-dbg/usr/bin
-	ln -sf python$(VER)dmu debian/python3-dbg/usr/bin/python3dmu
-	ln -sf python$(VER)dmu-config debian/python3-dbg/usr/bin/python3dmu-config
-	ln -sf python$(VER)-dbg debian/python3-dbg/usr/bin/python3-dbg
-	ln -sf python$(VER)-dbg-config debian/python3-dbg/usr/bin/python3-dbg-config
-	mkdir -p debian/python3-dbg/usr/share/man/man1
-	ln -sf python$(VER)dmu.1.gz \
